View Issue Details

IDProjectCategoryView StatusLast Update
0001272XdebugUncategorizedpublic2017-12-02 18:36
ReporterSvetlanaZem Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.3.3 
Target Version2.6.0Fixed in Version2.6.0alpha1 
Summary0001272: property_get doesn't return attributes for SimpleXMLElement
DescriptionTry to get attributes for SimpleXmlElement, i.e. $e = new SimpleXmlElement($xml); get value for $e->@attributes.

Xdebug 2.3.3 response as there are no children:

<- property_get -i 19 -n $e->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="19"><property name="$e->@attributes" fullname="$e->@attributes" address="139846350792976" type="object" classname="SimpleXMLElement" children="0" numchildren="0" page="0" pagesize="100"></property></response>

While Xdebug 2.2.6 successfully returns child attributes:

<- property_get -i 17 -n $e->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="17"><property name="$e->@attributes" fullname="$e->@attributes" address="139821914260288" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="att1" fullname="$e->@attributes['att1']" address="139821914260336" type="string" size="5" encoding="base64"><![CDATA[YXR0LWE=]]></property></property></response>
Steps To ReproduceCreate code:
<?php

$xml = "<a att1='att-a'><b attb='attb-1'><b attb='attb-2'></a>";

$e = new SimpleXmlElement($xml);

foreach($e->b as $b) { // breakpoint here
    echo $b['attb'].PHP_EOL;
}

1) Stop on breakpoint
2) Get value of "$e->@attributes" with property_get command

Expected:
Value of $e->@attributes is returned

Actual:
No child values
TagsNo tags attached.
Operating System
PHP Version5.6.5-5.6.9

Activities

SvetlanaZem

2016-02-16 10:49

reporter  

xdebug23.log (43,153 bytes)   
Log opened at 2016-02-16 10:25:37
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/user/PhpstormProjects/debug_console/dir/1.php" language="PHP" protocol_version="1.0" appid="18511" idekey="16645"><engine version="2.3.3"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2015 by Derick Rethans]]></copyright></init>

<- feature_set -i 1 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

<- feature_set -i 2 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

<- feature_set -i 3 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

<- status -i 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="4" status="starting" reason="ok"></response>

<- step_into -i 5
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="5" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="2"></xdebug:message></response>

<- breakpoint_set -i 6 -t line -f file:///home/user/PhpstormProjects/debug_console/dir/1.php -n 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="6" id="185110001"></response>

<- stack_get -i 7
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="7"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="2"></stack></response>

<- stack_get -i 8
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="8"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="2"></stack></response>

<- context_names -i 9 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="9"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 10 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="10" context="0"><property name="$a" fullname="$a" type="uninitialized"></property><property name="$b" fullname="$b" type="uninitialized"></property><property name="$e" fullname="$e" type="uninitialized"></property><property name="$xml" fullname="$xml" type="uninitialized"></property></response>

<- context_get -i 11 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="11" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="139846350758992" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" address="139846350760064" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="139846350759216" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="139846350758016" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="139846350758768" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="139846350760288" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="139846350760512" type="array" children="1" numchildren="83" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="139846350760760" type="string" size="88" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lcw==]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" address="139846350761048" type="string" size="42" encoding="base64"><![CDATA[L3Zhci9ydW4vZ2RtL2F1dGgtZm9yLXVzZXItaHdtV0hDL2RhdGFiYXNl]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" address="139846350761256" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&#39;XMODIFIERS&#39;]" address="139846350761440" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" address="139846350761648" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" address="139846350761832" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" address="139846350762048" type="string" size="46" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLw==]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&#39;GTK_IM_MODULE&#39;]" address="139846350762232" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="QT_QPA_PLATFORM_PLUGIN_PATH" fullname="$_SERVER[&#39;QT_QPA_PLATFORM_PLUGIN_PATH&#39;]" address="139846350762432" type="string" size="28" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9qZXRicmFpbnMtdG9vbGJveA==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" address="139846350762800" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMteEtDVVhEemc0Qg==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" address="139846350763024" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="PHP_REFERENCE" fullname="$_SERVER[&#39;PHP_REFERENCE&#39;]" address="139846350763224" type="string" size="29" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHAvcGhwNS42L2Jpbi9waHA=]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" address="139846350763408" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" address="139846350763688" type="string" size="99" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvMTQ0LzE0NC4zNjQ2L2JpbjovdXNyL3NoYXJlL2pldGJyYWlucy10b29sYm94]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&#39;QT4_IM_MODULE&#39;]" address="139846350763872" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&#39;UPSTART_SESSION&#39;]" address="139846350764096" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNTM3]]></property><property name="USERNAME" fullname="$_SERVER[&#39;USERNAME&#39;]" address="139846350764280" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" address="139846350764792" type="string" size="71" encoding="base64"><![CDATA[bG9jYWwvbXVuaXQtMDcwOkAvdG1wLy5JQ0UtdW5peC8xNzE0LHVuaXgvbXVuaXQtMDcwOi90bXAvLklDRS11bml4LzE3MTQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" address="139846350764976" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" address="139846350765152" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE2NjQ1]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" address="139846350765368" type="string" size="41" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3g=]]></property><property name="JOB" fullname="$_SERVER[&#39;JOB&#39;]" address="139846350765544" type="string" size="4" encoding="base64"><![CDATA[ZGJ1cw==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&#39;IM_CONFIG_PHASE&#39;]" address="139846350765720" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" address="139846350765904" type="string" size="6" encoding="base64"><![CDATA[ZW5fVVM6]]></property><property name="force_s3tc_enable" fullname="$_SERVER[&#39;force_s3tc_enable&#39;]" address="139846350766088" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="GJS_DEBUG_TOPICS" fullname="$_SERVER[&#39;GJS_DEBUG_TOPICS&#39;]" address="139846350766280" type="string" size="15" encoding="base64"><![CDATA[SlMgRVJST1I7SlMgTE9H]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" address="139846350766472" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE&#39;]" address="139846350766688" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hcHBsaWNhdGlvbnMvamV0YnJhaW5zLXRvb2xib3guZGVza3RvcA==]]></property><property name="INSTANCE" fullname="$_SERVER[&#39;INSTANCE&#39;]" address="139846350766888" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" address="139846350767080" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&#39;GTK_MODULES&#39;]" address="139846350767288" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&#39;CLUTTER_IM_MODULE&#39;]" address="139846350767472" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&#39;SESSIONTYPE&#39;]" address="139846350767664" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&#39;XDG_SESSION_DESKTOP&#39;]" address="139846350768376" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" address="139846350768568" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="DOCKER_HOST" fullname="$_SERVER[&#39;DOCKER_HOST&#39;]" address="139846350768744" type="string" size="11" encoding="base64"><![CDATA[MTcyLjE3LjQyLjE=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&#39;QT_IM_MODULE&#39;]" address="139846350768928" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="PHPUNIT_COMPOSER_48" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_48&#39;]" address="139846350769080" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0OC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" address="139846350769312" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" address="139846350769512" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" address="139846350769696" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" address="139846350769888" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&#39;XDG_SESSION_ID&#39;]" address="139846350770064" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="PHPUNIT_COMPOSER_50" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_50&#39;]" address="139846350770296" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ1MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" address="139846350770488" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;JAVA_TOOL_OPTIONS&#39;]" address="139846350770664" type="string" size="1" encoding="base64"><![CDATA[IA==]]></property><property name="PHPUNIT_PHAR_37" fullname="$_SERVER[&#39;PHPUNIT_PHAR_37&#39;]" address="139846350770888" type="string" size="43" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC0zLjcuMTAucGhhcg==]]></property><property name="PHPUNIT_PHAR_40" fullname="$_SERVER[&#39;PHPUNIT_PHAR_40&#39;]" address="139846350771104" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjAuMC5waGFy]]></property><property name="_ORIGINAL_JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;_ORIGINAL_JAVA_TOOL_OPTIONS&#39;]" address="139846350771320" type="string" size="42" encoding="base64"><![CDATA[LWphdmFhZ2VudDovdXNyL3NoYXJlL2phdmEvamF5YXRhbmFhZy5qYXIg]]></property><property name="PHPUNIT_COMPOSER_37" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_37&#39;]" address="139846350771568" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQzNy92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="SESSION" fullname="$_SERVER[&#39;SESSION&#39;]" address="139846350771760" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" address="139846350771936" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" address="139846350772136" type="string" size="30" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9ncGc6MDox]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" address="139846350772320" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&#39;XDG_MENU_PREFIX&#39;]" address="139846350772496" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE_PID" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE_PID&#39;]" address="139846350772680" type="string" size="4" encoding="base64"><![CDATA[OTE2Ng==]]></property><property name="WINDOWPATH" fullname="$_SERVER[&#39;WINDOWPATH&#39;]" address="139846350772880" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="GJS_DEBUG_OUTPUT" fullname="$_SERVER[&#39;GJS_DEBUG_OUTPUT&#39;]" address="139846350773064" type="string" size="6" encoding="base64"><![CDATA[c3RkZXJy]]></property><property name="XDG_SEAT" fullname="$_SERVER[&#39;XDG_SEAT&#39;]" address="139846350773256" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" address="139846350773456" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&#39;QT_QPA_PLATFORMTHEME&#39;]" address="139846350773640" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" address="139846350773848" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="PHPUNIT_PHAR_46" fullname="$_SERVER[&#39;PHPUNIT_PHAR_46&#39;]" address="139846350774056" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjYuNi5waGFy]]></property><property name="PHPUNIT_COMPOSER_47" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_47&#39;]" address="139846350774288" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ny92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_45" fullname="$_SERVER[&#39;PHPUNIT_PHAR_45&#39;]" address="139846350774512" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjUuMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_46" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_46&#39;]" address="139846350775784" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ni92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_48" fullname="$_SERVER[&#39;PHPUNIT_PHAR_48&#39;]" address="139846350776008" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjguMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_45" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_45&#39;]" address="139846350776240" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0NS92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_47" fullname="$_SERVER[&#39;PHPUNIT_PHAR_47&#39;]" address="139846350776464" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjcuMC5waGFy]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&#39;XDG_RUNTIME_DIR&#39;]" address="139846350776648" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&#39;XDG_VTNR&#39;]" address="139846350776832" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" address="139846350777016" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&#39;GNOME_KEYRING_PID&#39;]" address="139846350777192" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHPUNIT_COMPOSER_40" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_40&#39;]" address="139846350777432" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="139846350778104" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="139846350778552" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="139846350779000" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" address="139846350779448" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="139846350779784" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="139846350779936" type="float"><![CDATA[1455618337.2001]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="139846350780096" type="int"><![CDATA[1455618337]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" address="139846350759440" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" address="139846350759792" type="int"><![CDATA[1]]></property></property></response>

<- context_get -i 12 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="12" context="2"></response>

<- run -i 13
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="13" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="9"></xdebug:message></response>

<- stack_get -i 14
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="14"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="9"></stack></response>

<- context_names -i 15 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="15"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 16 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="0"><property name="$a" fullname="$a" address="139846350780576" type="null"></property><property name="$b" fullname="$b" type="uninitialized"></property><property name="$e" fullname="$e" address="139846350785424" type="object" classname="SimpleXMLElement" children="1" numchildren="2" page="0" pagesize="100"><property name="@attributes" fullname="$e-&gt;@attributes" facet="public" address="139846350785736" type="array" children="1" numchildren="1"></property><property name="b" fullname="$e-&gt;b" facet="public" address="139846350791064" type="array" children="1" numchildren="2"></property></property><property name="$xml" fullname="$xml" address="139846350780528" type="string" size="62" encoding="base64"><![CDATA[PGEgYXR0MT0nYXR0LWEnPjxiIGF0dGI9J2F0dGItMSc+PC9iPjxiIGF0dGI9J2F0dGItMic+PC9iPjwvYT4=]]></property></response>

<- context_get -i 17 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="139846350758992" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" address="139846350760064" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="139846350759216" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="139846350758016" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="139846350758768" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="139846350760288" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="139846350760512" type="array" children="1" numchildren="83" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="139846350760760" type="string" size="88" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lcw==]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" address="139846350761048" type="string" size="42" encoding="base64"><![CDATA[L3Zhci9ydW4vZ2RtL2F1dGgtZm9yLXVzZXItaHdtV0hDL2RhdGFiYXNl]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" address="139846350761256" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&#39;XMODIFIERS&#39;]" address="139846350761440" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" address="139846350761648" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" address="139846350761832" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" address="139846350762048" type="string" size="46" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLw==]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&#39;GTK_IM_MODULE&#39;]" address="139846350762232" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="QT_QPA_PLATFORM_PLUGIN_PATH" fullname="$_SERVER[&#39;QT_QPA_PLATFORM_PLUGIN_PATH&#39;]" address="139846350762432" type="string" size="28" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9qZXRicmFpbnMtdG9vbGJveA==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" address="139846350762800" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMteEtDVVhEemc0Qg==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" address="139846350763024" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="PHP_REFERENCE" fullname="$_SERVER[&#39;PHP_REFERENCE&#39;]" address="139846350763224" type="string" size="29" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHAvcGhwNS42L2Jpbi9waHA=]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" address="139846350763408" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" address="139846350763688" type="string" size="99" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvMTQ0LzE0NC4zNjQ2L2JpbjovdXNyL3NoYXJlL2pldGJyYWlucy10b29sYm94]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&#39;QT4_IM_MODULE&#39;]" address="139846350763872" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&#39;UPSTART_SESSION&#39;]" address="139846350764096" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNTM3]]></property><property name="USERNAME" fullname="$_SERVER[&#39;USERNAME&#39;]" address="139846350764280" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" address="139846350764792" type="string" size="71" encoding="base64"><![CDATA[bG9jYWwvbXVuaXQtMDcwOkAvdG1wLy5JQ0UtdW5peC8xNzE0LHVuaXgvbXVuaXQtMDcwOi90bXAvLklDRS11bml4LzE3MTQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" address="139846350764976" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" address="139846350765152" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE2NjQ1]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" address="139846350765368" type="string" size="41" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3g=]]></property><property name="JOB" fullname="$_SERVER[&#39;JOB&#39;]" address="139846350765544" type="string" size="4" encoding="base64"><![CDATA[ZGJ1cw==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&#39;IM_CONFIG_PHASE&#39;]" address="139846350765720" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" address="139846350765904" type="string" size="6" encoding="base64"><![CDATA[ZW5fVVM6]]></property><property name="force_s3tc_enable" fullname="$_SERVER[&#39;force_s3tc_enable&#39;]" address="139846350766088" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="GJS_DEBUG_TOPICS" fullname="$_SERVER[&#39;GJS_DEBUG_TOPICS&#39;]" address="139846350766280" type="string" size="15" encoding="base64"><![CDATA[SlMgRVJST1I7SlMgTE9H]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" address="139846350766472" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE&#39;]" address="139846350766688" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hcHBsaWNhdGlvbnMvamV0YnJhaW5zLXRvb2xib3guZGVza3RvcA==]]></property><property name="INSTANCE" fullname="$_SERVER[&#39;INSTANCE&#39;]" address="139846350766888" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" address="139846350767080" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&#39;GTK_MODULES&#39;]" address="139846350767288" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&#39;CLUTTER_IM_MODULE&#39;]" address="139846350767472" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&#39;SESSIONTYPE&#39;]" address="139846350767664" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&#39;XDG_SESSION_DESKTOP&#39;]" address="139846350768376" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" address="139846350768568" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="DOCKER_HOST" fullname="$_SERVER[&#39;DOCKER_HOST&#39;]" address="139846350768744" type="string" size="11" encoding="base64"><![CDATA[MTcyLjE3LjQyLjE=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&#39;QT_IM_MODULE&#39;]" address="139846350768928" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="PHPUNIT_COMPOSER_48" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_48&#39;]" address="139846350769080" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0OC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" address="139846350769312" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" address="139846350769512" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" address="139846350769696" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" address="139846350769888" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&#39;XDG_SESSION_ID&#39;]" address="139846350770064" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="PHPUNIT_COMPOSER_50" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_50&#39;]" address="139846350770296" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ1MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" address="139846350770488" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;JAVA_TOOL_OPTIONS&#39;]" address="139846350770664" type="string" size="1" encoding="base64"><![CDATA[IA==]]></property><property name="PHPUNIT_PHAR_37" fullname="$_SERVER[&#39;PHPUNIT_PHAR_37&#39;]" address="139846350770888" type="string" size="43" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC0zLjcuMTAucGhhcg==]]></property><property name="PHPUNIT_PHAR_40" fullname="$_SERVER[&#39;PHPUNIT_PHAR_40&#39;]" address="139846350771104" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjAuMC5waGFy]]></property><property name="_ORIGINAL_JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;_ORIGINAL_JAVA_TOOL_OPTIONS&#39;]" address="139846350771320" type="string" size="42" encoding="base64"><![CDATA[LWphdmFhZ2VudDovdXNyL3NoYXJlL2phdmEvamF5YXRhbmFhZy5qYXIg]]></property><property name="PHPUNIT_COMPOSER_37" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_37&#39;]" address="139846350771568" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQzNy92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="SESSION" fullname="$_SERVER[&#39;SESSION&#39;]" address="139846350771760" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" address="139846350771936" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" address="139846350772136" type="string" size="30" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9ncGc6MDox]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" address="139846350772320" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&#39;XDG_MENU_PREFIX&#39;]" address="139846350772496" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE_PID" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE_PID&#39;]" address="139846350772680" type="string" size="4" encoding="base64"><![CDATA[OTE2Ng==]]></property><property name="WINDOWPATH" fullname="$_SERVER[&#39;WINDOWPATH&#39;]" address="139846350772880" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="GJS_DEBUG_OUTPUT" fullname="$_SERVER[&#39;GJS_DEBUG_OUTPUT&#39;]" address="139846350773064" type="string" size="6" encoding="base64"><![CDATA[c3RkZXJy]]></property><property name="XDG_SEAT" fullname="$_SERVER[&#39;XDG_SEAT&#39;]" address="139846350773256" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" address="139846350773456" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&#39;QT_QPA_PLATFORMTHEME&#39;]" address="139846350773640" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" address="139846350773848" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="PHPUNIT_PHAR_46" fullname="$_SERVER[&#39;PHPUNIT_PHAR_46&#39;]" address="139846350774056" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjYuNi5waGFy]]></property><property name="PHPUNIT_COMPOSER_47" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_47&#39;]" address="139846350774288" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ny92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_45" fullname="$_SERVER[&#39;PHPUNIT_PHAR_45&#39;]" address="139846350774512" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjUuMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_46" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_46&#39;]" address="139846350775784" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ni92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_48" fullname="$_SERVER[&#39;PHPUNIT_PHAR_48&#39;]" address="139846350776008" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjguMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_45" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_45&#39;]" address="139846350776240" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0NS92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_47" fullname="$_SERVER[&#39;PHPUNIT_PHAR_47&#39;]" address="139846350776464" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjcuMC5waGFy]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&#39;XDG_RUNTIME_DIR&#39;]" address="139846350776648" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&#39;XDG_VTNR&#39;]" address="139846350776832" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" address="139846350777016" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&#39;GNOME_KEYRING_PID&#39;]" address="139846350777192" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHPUNIT_COMPOSER_40" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_40&#39;]" address="139846350777432" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="139846350778104" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="139846350778552" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="139846350779000" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" address="139846350779448" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="139846350779784" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="139846350779936" type="float"><![CDATA[1455618337.2001]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="139846350780096" type="int"><![CDATA[1455618337]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" address="139846350759440" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" address="139846350759792" type="int"><![CDATA[1]]></property></property></response>

<- context_get -i 18 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="18" context="2"></response>

<- property_get -i 19 -n $e->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="19"><property name="$e-&gt;@attributes" fullname="$e-&gt;@attributes" address="139846350792976" type="object" classname="SimpleXMLElement" children="0" numchildren="0" page="0" pagesize="100"></property></response>

<- property_get -i 20 -n $e->b -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="20"><property name="$e-&gt;b" fullname="$e-&gt;b" address="139846350793408" type="object" classname="SimpleXMLElement" children="1" numchildren="1" page="0" pagesize="100"><property name="@attributes" fullname="$e-&gt;b-&gt;@attributes" facet="public" address="139846350793848" type="array" children="1" numchildren="1"></property></property></response>

<- property_get -i 21 -n $e->b -d 0 -c 0 -p 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="21"><property name="$e-&gt;b" fullname="$e-&gt;b" address="139846350794424" type="object" classname="SimpleXMLElement" children="1" numchildren="1" page="1" pagesize="100"></property></response>

<- property_get -i 22 -n $e->b->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="22"><property name="$e-&gt;b-&gt;@attributes" fullname="$e-&gt;b-&gt;@attributes" address="139846350796448" type="object" classname="SimpleXMLElement" children="0" numchildren="0" page="0" pagesize="100"></property></response>

<- run -i 23
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="23" status="stopping" reason="ok"></response>

<- run -i 24
Log closed at 2016-02-16 10:25:44

xdebug23.log (43,153 bytes)   

SvetlanaZem

2016-02-16 10:50

reporter  

xdebug22.log (44,351 bytes)   
Log opened at 2016-02-16 10:26:53
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/user/PhpstormProjects/debug_console/dir/1.php" language="PHP" protocol_version="1.0" appid="18584" idekey="14961"><engine version="2.2.6"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2014 by Derick Rethans]]></copyright></init>

<- feature_set -i 1 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

<- feature_set -i 2 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

<- feature_set -i 3 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

<- status -i 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="4" status="starting" reason="ok"></response>

<- step_into -i 5
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="5" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="2"></xdebug:message></response>

<- breakpoint_set -i 6 -t line -f file:///home/user/PhpstormProjects/debug_console/dir/1.php -n 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="6" id="185840001"></response>

<- stack_get -i 7
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="7"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="2"></stack></response>

<- stack_get -i 8
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="8"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="2"></stack></response>

<- context_names -i 9 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="9"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 10 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="10" context="0"><property name="$a" fullname="$a" type="uninitialized"></property><property name="$b" fullname="$b" type="uninitialized"></property><property name="$e" fullname="$e" type="uninitialized"></property><property name="$xml" fullname="$xml" type="uninitialized"></property></response>

<- context_get -i 11 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="11" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="139821914227848" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" address="139821914228920" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="139821914228072" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="139821914226872" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="139821914227624" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="139821914229144" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="139821914229368" type="array" children="1" numchildren="83" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="139821914229616" type="string" size="88" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lcw==]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" address="139821914229904" type="string" size="42" encoding="base64"><![CDATA[L3Zhci9ydW4vZ2RtL2F1dGgtZm9yLXVzZXItaHdtV0hDL2RhdGFiYXNl]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" address="139821914230056" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&#39;XMODIFIERS&#39;]" address="139821914230240" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" address="139821914230448" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" address="139821914230632" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" address="139821914230848" type="string" size="46" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLw==]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&#39;GTK_IM_MODULE&#39;]" address="139821914231032" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="QT_QPA_PLATFORM_PLUGIN_PATH" fullname="$_SERVER[&#39;QT_QPA_PLATFORM_PLUGIN_PATH&#39;]" address="139821914231232" type="string" size="28" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9qZXRicmFpbnMtdG9vbGJveA==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" address="139821914231600" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMteEtDVVhEemc0Qg==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" address="139821914231824" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="PHP_REFERENCE" fullname="$_SERVER[&#39;PHP_REFERENCE&#39;]" address="139821914232024" type="string" size="29" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHAvcGhwNS42L2Jpbi9waHA=]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" address="139821914232208" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" address="139821914232488" type="string" size="99" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvMTQ0LzE0NC4zNjQ2L2JpbjovdXNyL3NoYXJlL2pldGJyYWlucy10b29sYm94]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&#39;QT4_IM_MODULE&#39;]" address="139821914232672" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&#39;UPSTART_SESSION&#39;]" address="139821914232896" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNTM3]]></property><property name="USERNAME" fullname="$_SERVER[&#39;USERNAME&#39;]" address="139821914233080" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" address="139821914233592" type="string" size="71" encoding="base64"><![CDATA[bG9jYWwvbXVuaXQtMDcwOkAvdG1wLy5JQ0UtdW5peC8xNzE0LHVuaXgvbXVuaXQtMDcwOi90bXAvLklDRS11bml4LzE3MTQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" address="139821914233776" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" address="139821914233952" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE0OTYx]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" address="139821914234168" type="string" size="41" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3g=]]></property><property name="JOB" fullname="$_SERVER[&#39;JOB&#39;]" address="139821914234344" type="string" size="4" encoding="base64"><![CDATA[ZGJ1cw==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&#39;IM_CONFIG_PHASE&#39;]" address="139821914234520" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" address="139821914234704" type="string" size="6" encoding="base64"><![CDATA[ZW5fVVM6]]></property><property name="force_s3tc_enable" fullname="$_SERVER[&#39;force_s3tc_enable&#39;]" address="139821914234888" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="GJS_DEBUG_TOPICS" fullname="$_SERVER[&#39;GJS_DEBUG_TOPICS&#39;]" address="139821914235080" type="string" size="15" encoding="base64"><![CDATA[SlMgRVJST1I7SlMgTE9H]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" address="139821914235272" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE&#39;]" address="139821914235488" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hcHBsaWNhdGlvbnMvamV0YnJhaW5zLXRvb2xib3guZGVza3RvcA==]]></property><property name="INSTANCE" fullname="$_SERVER[&#39;INSTANCE&#39;]" address="139821914235688" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" address="139821914235880" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&#39;GTK_MODULES&#39;]" address="139821914236088" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&#39;CLUTTER_IM_MODULE&#39;]" address="139821914236272" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&#39;SESSIONTYPE&#39;]" address="139821914236464" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&#39;XDG_SESSION_DESKTOP&#39;]" address="139821914237176" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" address="139821914237368" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="DOCKER_HOST" fullname="$_SERVER[&#39;DOCKER_HOST&#39;]" address="139821914237544" type="string" size="11" encoding="base64"><![CDATA[MTcyLjE3LjQyLjE=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&#39;QT_IM_MODULE&#39;]" address="139821914237728" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="PHPUNIT_COMPOSER_48" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_48&#39;]" address="139821914237880" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0OC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" address="139821914238112" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" address="139821914238312" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" address="139821914238496" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" address="139821914238688" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&#39;XDG_SESSION_ID&#39;]" address="139821914238864" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="PHPUNIT_COMPOSER_50" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_50&#39;]" address="139821914239096" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ1MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" address="139821914239288" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;JAVA_TOOL_OPTIONS&#39;]" address="139821914239464" type="string" size="1" encoding="base64"><![CDATA[IA==]]></property><property name="PHPUNIT_PHAR_37" fullname="$_SERVER[&#39;PHPUNIT_PHAR_37&#39;]" address="139821914239688" type="string" size="43" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC0zLjcuMTAucGhhcg==]]></property><property name="PHPUNIT_PHAR_40" fullname="$_SERVER[&#39;PHPUNIT_PHAR_40&#39;]" address="139821914239904" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjAuMC5waGFy]]></property><property name="_ORIGINAL_JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;_ORIGINAL_JAVA_TOOL_OPTIONS&#39;]" address="139821914240120" type="string" size="42" encoding="base64"><![CDATA[LWphdmFhZ2VudDovdXNyL3NoYXJlL2phdmEvamF5YXRhbmFhZy5qYXIg]]></property><property name="PHPUNIT_COMPOSER_37" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_37&#39;]" address="139821914240368" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQzNy92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="SESSION" fullname="$_SERVER[&#39;SESSION&#39;]" address="139821914240560" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" address="139821914240736" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" address="139821914240936" type="string" size="30" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9ncGc6MDox]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" address="139821914241120" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&#39;XDG_MENU_PREFIX&#39;]" address="139821914241296" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE_PID" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE_PID&#39;]" address="139821914241480" type="string" size="4" encoding="base64"><![CDATA[OTE2Ng==]]></property><property name="WINDOWPATH" fullname="$_SERVER[&#39;WINDOWPATH&#39;]" address="139821914241680" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="GJS_DEBUG_OUTPUT" fullname="$_SERVER[&#39;GJS_DEBUG_OUTPUT&#39;]" address="139821914241864" type="string" size="6" encoding="base64"><![CDATA[c3RkZXJy]]></property><property name="XDG_SEAT" fullname="$_SERVER[&#39;XDG_SEAT&#39;]" address="139821914242056" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" address="139821914242256" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&#39;QT_QPA_PLATFORMTHEME&#39;]" address="139821914242440" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" address="139821914242648" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="PHPUNIT_PHAR_46" fullname="$_SERVER[&#39;PHPUNIT_PHAR_46&#39;]" address="139821914242856" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjYuNi5waGFy]]></property><property name="PHPUNIT_COMPOSER_47" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_47&#39;]" address="139821914243088" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ny92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_45" fullname="$_SERVER[&#39;PHPUNIT_PHAR_45&#39;]" address="139821914243312" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjUuMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_46" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_46&#39;]" address="139821914244584" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ni92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_48" fullname="$_SERVER[&#39;PHPUNIT_PHAR_48&#39;]" address="139821914244808" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjguMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_45" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_45&#39;]" address="139821914245040" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0NS92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_47" fullname="$_SERVER[&#39;PHPUNIT_PHAR_47&#39;]" address="139821914245264" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjcuMC5waGFy]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&#39;XDG_RUNTIME_DIR&#39;]" address="139821914245448" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&#39;XDG_VTNR&#39;]" address="139821914245632" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" address="139821914245816" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&#39;GNOME_KEYRING_PID&#39;]" address="139821914245992" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHPUNIT_COMPOSER_40" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_40&#39;]" address="139821914246232" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="139821914246904" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="139821914247352" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="139821914247800" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" address="139821914248248" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="139821914248584" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="139821914248736" type="float"><![CDATA[1455618413.5596]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="139821914248896" type="int"><![CDATA[1455618413]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" address="139821914228296" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" address="139821914228648" type="int"><![CDATA[1]]></property></property></response>

<- run -i 12
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="12" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="9"></xdebug:message></response>

<- stack_get -i 13
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="13"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/debug_console/dir/1.php" lineno="9"></stack></response>

<- context_names -i 14 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="14"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 15 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="0"><property name="$a" fullname="$a" address="139821914249376" type="null"></property><property name="$b" fullname="$b" type="uninitialized"></property><property name="$e" fullname="$e" address="139821914254224" type="object" classname="SimpleXMLElement" children="1" numchildren="2" page="0" pagesize="100"><property name="@attributes" fullname="$e-&gt;@attributes" facet="public" address="139821914254536" type="array" children="1" numchildren="1"></property><property name="b" fullname="$e-&gt;b" facet="public" address="139821914259864" type="array" children="1" numchildren="2"></property></property><property name="$xml" fullname="$xml" address="139821914249328" type="string" size="62" encoding="base64"><![CDATA[PGEgYXR0MT0nYXR0LWEnPjxiIGF0dGI9J2F0dGItMSc+PC9iPjxiIGF0dGI9J2F0dGItMic+PC9iPjwvYT4=]]></property></response>

<- context_get -i 16 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="139821914227848" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" address="139821914228920" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="139821914228072" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="139821914226872" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="139821914227624" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="139821914229144" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="139821914229368" type="array" children="1" numchildren="83" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="139821914229616" type="string" size="88" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lcw==]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" address="139821914229904" type="string" size="42" encoding="base64"><![CDATA[L3Zhci9ydW4vZ2RtL2F1dGgtZm9yLXVzZXItaHdtV0hDL2RhdGFiYXNl]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" address="139821914230056" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&#39;XMODIFIERS&#39;]" address="139821914230240" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" address="139821914230448" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" address="139821914230632" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" address="139821914230848" type="string" size="46" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLw==]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&#39;GTK_IM_MODULE&#39;]" address="139821914231032" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="QT_QPA_PLATFORM_PLUGIN_PATH" fullname="$_SERVER[&#39;QT_QPA_PLATFORM_PLUGIN_PATH&#39;]" address="139821914231232" type="string" size="28" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9qZXRicmFpbnMtdG9vbGJveA==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" address="139821914231600" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMteEtDVVhEemc0Qg==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" address="139821914231824" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="PHP_REFERENCE" fullname="$_SERVER[&#39;PHP_REFERENCE&#39;]" address="139821914232024" type="string" size="29" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHAvcGhwNS42L2Jpbi9waHA=]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" address="139821914232208" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" address="139821914232488" type="string" size="99" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvMTQ0LzE0NC4zNjQ2L2JpbjovdXNyL3NoYXJlL2pldGJyYWlucy10b29sYm94]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&#39;QT4_IM_MODULE&#39;]" address="139821914232672" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&#39;UPSTART_SESSION&#39;]" address="139821914232896" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNTM3]]></property><property name="USERNAME" fullname="$_SERVER[&#39;USERNAME&#39;]" address="139821914233080" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" address="139821914233592" type="string" size="71" encoding="base64"><![CDATA[bG9jYWwvbXVuaXQtMDcwOkAvdG1wLy5JQ0UtdW5peC8xNzE0LHVuaXgvbXVuaXQtMDcwOi90bXAvLklDRS11bml4LzE3MTQ=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" address="139821914233776" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" address="139821914233952" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE0OTYx]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" address="139821914234168" type="string" size="41" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3g=]]></property><property name="JOB" fullname="$_SERVER[&#39;JOB&#39;]" address="139821914234344" type="string" size="4" encoding="base64"><![CDATA[ZGJ1cw==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&#39;IM_CONFIG_PHASE&#39;]" address="139821914234520" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" address="139821914234704" type="string" size="6" encoding="base64"><![CDATA[ZW5fVVM6]]></property><property name="force_s3tc_enable" fullname="$_SERVER[&#39;force_s3tc_enable&#39;]" address="139821914234888" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="GJS_DEBUG_TOPICS" fullname="$_SERVER[&#39;GJS_DEBUG_TOPICS&#39;]" address="139821914235080" type="string" size="15" encoding="base64"><![CDATA[SlMgRVJST1I7SlMgTE9H]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" address="139821914235272" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE&#39;]" address="139821914235488" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9hcHBsaWNhdGlvbnMvamV0YnJhaW5zLXRvb2xib3guZGVza3RvcA==]]></property><property name="INSTANCE" fullname="$_SERVER[&#39;INSTANCE&#39;]" address="139821914235688" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" address="139821914235880" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&#39;GTK_MODULES&#39;]" address="139821914236088" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&#39;CLUTTER_IM_MODULE&#39;]" address="139821914236272" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&#39;SESSIONTYPE&#39;]" address="139821914236464" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&#39;XDG_SESSION_DESKTOP&#39;]" address="139821914237176" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" address="139821914237368" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="DOCKER_HOST" fullname="$_SERVER[&#39;DOCKER_HOST&#39;]" address="139821914237544" type="string" size="11" encoding="base64"><![CDATA[MTcyLjE3LjQyLjE=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&#39;QT_IM_MODULE&#39;]" address="139821914237728" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="PHPUNIT_COMPOSER_48" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_48&#39;]" address="139821914237880" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0OC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" address="139821914238112" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" address="139821914238312" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" address="139821914238496" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" address="139821914238688" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&#39;XDG_SESSION_ID&#39;]" address="139821914238864" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="PHPUNIT_COMPOSER_50" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_50&#39;]" address="139821914239096" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ1MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" address="139821914239288" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;JAVA_TOOL_OPTIONS&#39;]" address="139821914239464" type="string" size="1" encoding="base64"><![CDATA[IA==]]></property><property name="PHPUNIT_PHAR_37" fullname="$_SERVER[&#39;PHPUNIT_PHAR_37&#39;]" address="139821914239688" type="string" size="43" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC0zLjcuMTAucGhhcg==]]></property><property name="PHPUNIT_PHAR_40" fullname="$_SERVER[&#39;PHPUNIT_PHAR_40&#39;]" address="139821914239904" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjAuMC5waGFy]]></property><property name="_ORIGINAL_JAVA_TOOL_OPTIONS" fullname="$_SERVER[&#39;_ORIGINAL_JAVA_TOOL_OPTIONS&#39;]" address="139821914240120" type="string" size="42" encoding="base64"><![CDATA[LWphdmFhZ2VudDovdXNyL3NoYXJlL2phdmEvamF5YXRhbmFhZy5qYXIg]]></property><property name="PHPUNIT_COMPOSER_37" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_37&#39;]" address="139821914240368" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQzNy92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="SESSION" fullname="$_SERVER[&#39;SESSION&#39;]" address="139821914240560" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" address="139821914240736" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" address="139821914240936" type="string" size="30" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9ncGc6MDox]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" address="139821914241120" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&#39;XDG_MENU_PREFIX&#39;]" address="139821914241296" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE_PID" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE_PID&#39;]" address="139821914241480" type="string" size="4" encoding="base64"><![CDATA[OTE2Ng==]]></property><property name="WINDOWPATH" fullname="$_SERVER[&#39;WINDOWPATH&#39;]" address="139821914241680" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="GJS_DEBUG_OUTPUT" fullname="$_SERVER[&#39;GJS_DEBUG_OUTPUT&#39;]" address="139821914241864" type="string" size="6" encoding="base64"><![CDATA[c3RkZXJy]]></property><property name="XDG_SEAT" fullname="$_SERVER[&#39;XDG_SEAT&#39;]" address="139821914242056" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" address="139821914242256" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&#39;QT_QPA_PLATFORMTHEME&#39;]" address="139821914242440" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" address="139821914242648" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="PHPUNIT_PHAR_46" fullname="$_SERVER[&#39;PHPUNIT_PHAR_46&#39;]" address="139821914242856" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjYuNi5waGFy]]></property><property name="PHPUNIT_COMPOSER_47" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_47&#39;]" address="139821914243088" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ny92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_45" fullname="$_SERVER[&#39;PHPUNIT_PHAR_45&#39;]" address="139821914243312" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjUuMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_46" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_46&#39;]" address="139821914244584" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0Ni92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_48" fullname="$_SERVER[&#39;PHPUNIT_PHAR_48&#39;]" address="139821914244808" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjguMC5waGFy]]></property><property name="PHPUNIT_COMPOSER_45" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_45&#39;]" address="139821914245040" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0NS92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHPUNIT_PHAR_47" fullname="$_SERVER[&#39;PHPUNIT_PHAR_47&#39;]" address="139821914245264" type="string" size="42" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L3BoYXIvcGhwdW5pdC00LjcuMC5waGFy]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&#39;XDG_RUNTIME_DIR&#39;]" address="139821914245448" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&#39;XDG_VTNR&#39;]" address="139821914245632" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" address="139821914245816" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&#39;GNOME_KEYRING_PID&#39;]" address="139821914245992" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHPUNIT_COMPOSER_40" fullname="$_SERVER[&#39;PHPUNIT_COMPOSER_40&#39;]" address="139821914246232" type="string" size="57" encoding="base64"><![CDATA[L2hvbWUvdXNlci9waHB1bml0L2NvbXBvc2VyL3BocHVuaXQ0MC92ZW5kb3IvYXV0b2xvYWQucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="139821914246904" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="139821914247352" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="139821914247800" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" address="139821914248248" type="string" size="51" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL2RlYnVnX2NvbnNvbGUvZGlyLzEucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="139821914248584" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="139821914248736" type="float"><![CDATA[1455618413.5596]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="139821914248896" type="int"><![CDATA[1455618413]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" address="139821914228296" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" address="139821914228648" type="int"><![CDATA[1]]></property></property></response>

<- property_get -i 17 -n $e->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="17"><property name="$e-&gt;@attributes" fullname="$e-&gt;@attributes" address="139821914260288" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="att1" fullname="$e-&gt;@attributes[&#39;att1&#39;]" address="139821914260336" type="string" size="5" encoding="base64"><![CDATA[YXR0LWE=]]></property></property></response>

<- property_get -i 18 -n $e->b -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="18"><property name="$e-&gt;b" fullname="$e-&gt;b" address="139821914261760" type="array" children="1" numchildren="2" page="0" pagesize="100"><property name="0" fullname="$e-&gt;b[0]" address="139821914260288" type="object" classname="SimpleXMLElement" children="1" numchildren="1"></property><property name="1" fullname="$e-&gt;b[1]" address="139821914260336" type="object" classname="SimpleXMLElement" children="1" numchildren="1"></property></property></response>

<- property_get -i 19 -n $e->b[1] -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="19"><property name="$e-&gt;b[1]" fullname="$e-&gt;b[1]" address="139821914260784" type="object" classname="SimpleXMLElement" children="1" numchildren="1" page="0" pagesize="100"><property name="@attributes" fullname="$e-&gt;b[1]-&gt;@attributes" facet="public" address="139821914264008" type="array" children="1" numchildren="1"></property></property></response>

<- property_get -i 20 -n $e->b[0] -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="20"><property name="$e-&gt;b[0]" fullname="$e-&gt;b[0]" address="139821914263272" type="object" classname="SimpleXMLElement" children="1" numchildren="1" page="0" pagesize="100"><property name="@attributes" fullname="$e-&gt;b[0]-&gt;@attributes" facet="public" address="139821914264616" type="array" children="1" numchildren="1"></property></property></response>

<- property_get -i 21 -n $e->b[0]->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="21"><property name="$e-&gt;b[0]-&gt;@attributes" fullname="$e-&gt;b[0]-&gt;@attributes" address="139821914261056" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="attb" fullname="$e-&gt;b[0]-&gt;@attributes[&#39;attb&#39;]" address="139821914260784" type="string" size="6" encoding="base64"><![CDATA[YXR0Yi0x]]></property></property></response>

<- property_get -i 22 -n $e->b[1]->@attributes -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="22"><property name="$e-&gt;b[1]-&gt;@attributes" fullname="$e-&gt;b[1]-&gt;@attributes" address="139821914260288" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="attb" fullname="$e-&gt;b[1]-&gt;@attributes[&#39;attb&#39;]" address="139821914263224" type="string" size="6" encoding="base64"><![CDATA[YXR0Yi0y]]></property></property></response>

<- run -i 23
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="23" status="stopping" reason="ok"></response>

<- run -i 24
Log closed at 2016-02-16 10:27:03

xdebug22.log (44,351 bytes)   

derick

2016-03-04 15:35

administrator   ~0003541

Just a note that I started working on it. It works for PHP 7 and later now again, but not yet for PHP 5.x, so I haven't merged it yet.

hpikkemaat

2017-10-31 10:58

reporter   ~0004446

Derick do you have an update on this issue?

Issue History

Date Modified Username Field Change
2016-02-16 10:49 SvetlanaZem New Issue
2016-02-16 10:49 SvetlanaZem File Added: xdebug23.log
2016-02-16 10:50 SvetlanaZem File Added: xdebug22.log
2016-03-04 15:35 derick Note Added: 0003541
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2016-12-04 15:20 derick Assigned To => derick
2016-12-04 15:20 derick Status new => assigned
2016-12-12 00:17 derick Target Version => 2.6.0dev
2016-12-12 00:17 derick Description Updated
2016-12-17 20:34 derick Status assigned => closed
2016-12-17 20:34 derick Resolution open => fixed
2016-12-17 20:34 derick Fixed in Version => 2.6.0dev
2017-10-31 10:58 hpikkemaat Note Added: 0004446
2017-12-02 15:57 derick Fixed in Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:34 derick Target Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:36 derick Target Version 2.6.0alpha1 => 2.6.0
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized